/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */

import {ChangeDetectionStrategy, Component, Input} from '@angular/core';

import {IndexedNode} from '../directive-forest/index-forest';

@Component({
  templateUrl: './property-tab-header.component.html',
  selector: 'ng-property-tab-header',
  styleUrls: ['./property-tab-header.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PropertyTabHeaderComponent {
  @Input({required: true}) currentSelectedElement!: IndexedNode;
  @Input() currentDirectives: string[]|undefined;
}
